//+------------------------------------------------------------------+
//|                                                    BBflat_cw.mq4 |
//|                                                          by Raff |
//+------------------------------------------------------------------+

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Aqua
#property indicator_color2 Red
#property indicator_color3 Red

extern int period=9;
extern int shift=0;
extern int method=0;
extern int price=0;
extern double deviation=1.5;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
     int limit, counted_bars=IndicatorCounted();
     double ima, std;
     if(counted_bars<0) return(-1);
     if(counted_bars>0) counted_bars--;
     limit=Bars-counted_bars;
     for(int i=0; i<limit; i++)
       {
       ima=iMA(NULL,0,period,shift,method,price,i);
       std=deviation*iStdDev(NULL,0,period,shift,method,price,i);
		 ExtMapBuffer1[i]=ima;
       ExtMapBuffer2[i]=ima+std;
       ExtMapBuffer3[i]=ima-std;
       }
//----
   return(0);
  }
//+------------------------------------------------------------------+